﻿<template>
  <div :class="['d-flex todoItem', todoProps.completed ? 'is-completed': '']">
    <div class="d-flex align-items-center">
      <input class="checkBox" type="checkbox" :checked="todoProps.completed" @change="checkTodo"></input>
      {{ todoProps.title }}
    </div>
    <div>
      <v-button class="btn" lg danger @click="deleteItem">Del</v-button>
    </div>

  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import {Component, Prop, Watch, Emit} from 'vue-property-decorator';

@Component
export class TodoItem extends Vue {
  @Prop() public todoProps: any;

  public mounted() {
    
  }
  
  @Emit('updateComp')
  checkTodo(){
    return this.todoProps.id;
  }
  @Emit('deleteItem')
  deleteItem(){
    return this.todoProps.id;
  }
}

export default TodoItem;
</script>

<style>
.result {
  color: #41B883;
}

.todoItem {
  background: #f4f4f4;
  padding: 10px;
  margin: 0;
  border-bottom: 1px #ccc dotted;
  justify-content: space-between;
}
.is-completed{
  text-decoration: line-through;
}
.checkBox{
  margin-right: 5px;
}
.btn {
  cursor: pointer;
  float: right;
}
</style>